net.minecraft.block

## Class BlockMushroom

- java.lang.Object
- - net.minecraft.block.Block
  - - net.minecraft.block.BlockBush
    - - net.minecraft.block.BlockMushroom

- All Implemented Interfaces:
    IGrowable, IPlantable

      public class BlockMushroom
      extends BlockBush
      implements IGrowable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.block.Block

      `Block.SoundType`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.block.Block

      `blockConstructorCalled, blockHardness, blockIcon, blockMaterial, blockParticleGravity, blockRegistry, blockResistance, canBlockGrass, capturedDrops, captureDrops, enableStats, harvesters, isBlockContainer, lightOpacity, lightValue, maxX, maxY, maxZ, minX, minY, minZ, needsRandomTick, opaque, slipperiness, soundTypeAnvil, soundTypeCloth, soundTypeGlass, soundTypeGrass, soundTypeGravel, soundTypeLadder, soundTypeMetal, soundTypePiston, soundTypeSand, soundTypeSnow, soundTypeStone, soundTypeWood, stepSound, textureName, useNeighborBrightness`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BlockMushroom()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canBlockStay(World p_149718_1_, int p_149718_2_, int p_149718_3_, int p_149718_4_)`
    `boolean` | `canPlaceBlockAt(World p_149742_1_, int p_149742_2_, int p_149742_3_, int p_149742_4_)`
    `protected boolean` | `canPlaceBlockOn(Block p_149854_1_)`
    `boolean` | `func_149851_a(World p_149851_1_, int p_149851_2_, int p_149851_3_, int p_149851_4_, boolean p_149851_5_)`
    `boolean` | `func_149852_a(World p_149852_1_, java.util.Random p_149852_2_, int p_149852_3_, int p_149852_4_, int p_149852_5_)`
    `void` | `func_149853_b(World p_149853_1_, java.util.Random p_149853_2_, int p_149853_3_, int p_149853_4_, int p_149853_5_)`
    `boolean` | `func_149884_c(World p_149884_1_, int p_149884_2_, int p_149884_3_, int p_149884_4_, java.util.Random p_149884_5_)`
    `void` | `updateTick(World p_149674_1_, int p_149674_2_, int p_149674_3_, int p_149674_4_, java.util.Random p_149674_5_)`

    - ### Methods inherited from class net.minecraft.block.BlockBush

      `checkAndDropBlock, getCollisionBoundingBoxFromPool, getPlant, getPlantMetadata, getPlantType, getRenderType, isOpaqueCube, onNeighborBlockChange, renderAsNormalBlock`

    - ### Methods inherited from class net.minecraft.block.Block

      `addCollisionBoxesToList, addDestroyEffects, addHitEffects, beginLeavesDecay, breakBlock, canBeReplacedByLeaves, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canPlaceBlockOnSide, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canReplace, canSilkHarvest, canSilkHarvest, canSustainLeaves, canSustainPlant, captureDrops, collisionRayTrace, colorMultiplier, createStackedBlock, createTileEntity, damageDropped, disableStats, dropBlockAsItem, dropBlockAsItem, dropBlockAsItemWithChance, dropXpOnBlockBreak, fillWithRain, func_149698_L, func_149730_j, func_149735_b, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBoundsMaxX, getBlockBoundsMaxY, getBlockBoundsMaxZ, getBlockBoundsMinX, getBlockBoundsMinY, getBlockBoundsMinZ, getBlockById, getBlockColor, getBlockFromItem, getBlockFromName, getBlockHardness, getBlocksMovement, getBlockTextureFromSide, getCanBlockGrass, getComparatorInputOverride, getCreativeTabToDisplayOn, getDamageValue, getDrops, getEnableStats, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getHarvestLevel, getHarvestTool, getIcon, getIcon, getIdFromBlock, getItem, getItemDropped, getItemIconName, getLightOpacity, getLightOpacity, getLightValue, getLightValue, getLocalizedName, getMapColor, getMaterial, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getSelectedBoundingBoxFromPool, getSubBlocks, getTextureName, getTickRandomly, getUnlocalizedName, getUseNeighborBrightness, getValidRotations, getWeakChanges, harvestBlock, hasComparatorInputOverride, hasTileEntity, hasTileEntity, isAir, isAssociatedBlock, isBeaconBase, isBed, isBedFoot, isBlockNormalCube, isBlockSolid, isBurning, isCollidable, isEqualTo, isFertile, isFireSource, isFlammable, isFlowerPot, isFoliage, isLadder, isLeaves, isNormalCube, isNormalCube, isProvidingStrongPower, isProvidingWeakPower, isReplaceable, isReplaceableOreGen, isSideSolid, isToolEffective, isWood, onBlockActivated, onBlockAdded, onBlockClicked, onBlockDestroyedByExplosion, onBlockDestroyedByPlayer, onBlockEventReceived, onBlockExploded, onBlockHarvested, onBlockPlaced, onBlockPlacedBy, onBlockPreDestroy, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onNeighborChange, onPlantGrow, onPostBlockPlaced, quantityDropped, quantityDropped, quantityDroppedWithBonus, randomDisplayTick, recolourBlock, registerBlockIcons, registerBlocks, removedByPlayer, rotateBlock, setBedOccupied, setBlockBounds, setBlockBoundsBasedOnState, setBlockBoundsForItemRender, setBlockName, setBlockTextureName, setBlockUnbreakable, setCreativeTab, setHardness, setHarvestLevel, setHarvestLevel, setLightLevel, setLightOpacity, setResistance, setStepSound, setTickRandomly, shouldCheckWeakPower, shouldSideBeRendered, tickRate, velocityToAddToEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockMushroom

          protected BlockMushroom()

  - ### Method Detail

    - #### updateTick

          public void updateTick(World p_149674_1_,
                        int p_149674_2_,
                        int p_149674_3_,
                        int p_149674_4_,
                        java.util.Random p_149674_5_)

      Overrides:
        `updateTick` in class `BlockBush`

    - #### canPlaceBlockAt

          public boolean canPlaceBlockAt(World p_149742_1_,
                                int p_149742_2_,
                                int p_149742_3_,
                                int p_149742_4_)

      Overrides:
        `canPlaceBlockAt` in class `BlockBush`

    - #### canPlaceBlockOn

          protected boolean canPlaceBlockOn(Block p_149854_1_)

      Overrides:
        `canPlaceBlockOn` in class `BlockBush`

    - #### canBlockStay

          public boolean canBlockStay(World p_149718_1_,
                             int p_149718_2_,
                             int p_149718_3_,
                             int p_149718_4_)

      Overrides:
        `canBlockStay` in class `BlockBush`

    - #### func_149884_c

          public boolean func_149884_c(World p_149884_1_,
                              int p_149884_2_,
                              int p_149884_3_,
                              int p_149884_4_,
                              java.util.Random p_149884_5_)

    - #### func_149851_a

          public boolean func_149851_a(World p_149851_1_,
                              int p_149851_2_,
                              int p_149851_3_,
                              int p_149851_4_,
                              boolean p_149851_5_)

      Specified by:
        `func_149851_a` in interface `IGrowable`

    - #### func_149852_a

          public boolean func_149852_a(World p_149852_1_,
                              java.util.Random p_149852_2_,
                              int p_149852_3_,
                              int p_149852_4_,
                              int p_149852_5_)

      Specified by:
        `func_149852_a` in interface `IGrowable`

    - #### func_149853_b

          public void func_149853_b(World p_149853_1_,
                           java.util.Random p_149853_2_,
                           int p_149853_3_,
                           int p_149853_4_,
                           int p_149853_5_)

      Specified by:
        `func_149853_b` in interface `IGrowable`